package com.ims.eval.entity;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import java.util.Date;

import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * <p>
 * 年度评级
 * </p>
 *
 * @author wang
 * @since 2023-06-20
 */
@Data
@EqualsAndHashCode(callSuper = true)
public class OrganizationRating extends Model {

    private static final long serialVersionUID = 1L;

    /**
     * 主键
     */
    private String id;

	/**
	 * 主表id
	 */
	private String organizationYearRatingId;


	/**
	 *考评组织名称（简称）
	 */
	private String organizationShortName;


	/**
	 * 考评组织ID
	 */
	private String organizationId;

    /**
     * 年度
     */
    private String year;

    /**
     * 板块
     */
    private String binSection;

	/**
	 * 业务版块name
	 */
	@TableField(exist = false)
	private String binSectionName;


    /**
     * 生产经营评级
     */
    private String scjyRate;

    /**
     * 前期评级
     */
    private String qqRate;

    /**
     * 基建评级
     */
    private String jjRate;

    /**
     * 年度评级
     */
    private String yearRate;

    /**
     * 创建者
     */
    private String createBy;

    /**
     * 更新者
     */
    private String updateBy;

    /**
     * 创建时间
     */
    private Date createTime;

    /**
     * 更新时间
     */
    private Date updateTime;

    /**
     * 备注
     */
    private String remark;


	/**
	 * 年度安全环保评级
	 */
	//@TableField(exist = false)
	private String safetyEnvProtection;

	/**
	 * 否决事项
	 */
	private String veto;

	/**
	 * 净利润
	 */
	private String netProfit;

	/**
	 * 经营业绩考核综合得分百分比
	 */
	private String compositeScore;

	/**
	 * 年度项目进度目标完成率%
	 */
	private String annualTarget;

	/**
	 * 先进性指标考核得分有无加分，1：有，0：无
	 */
	private String bonusPoint;

	/**
	 * 基建工程综合得分排名
	 */
	private String compositeScoreRaking;

	/**
	 * 基建工程项目等级
	 */
	private String projectLevel;


}
